# ``Buildkite``

A Swift library and client for the Buildkite REST and GraphQL APIs.

## Overview

The entire publicly documented REST API surface is supported by this package.

## Topics

### Essentials

- <doc:GettingStarted>
- ``BuildkiteClient``

### Resources

- ``AccessToken/Resources``
- ``Agent/Resources``
- ``Annotation/Resources``
- ``Artifact/Resources``
- ``Build/Resources``
- ``Emoji/Resources``
- ``Job/Resources``
- ``Meta/Resources``
- ``Organization/Resources``
- ``Pipeline/Resources``
- ``Team/Resources``
- ``User/Resources``
- ``Followable``
- ``Resource``

### GraphQL

- <doc:UsingGraphQL>
- ``GraphQL``
- ``JSONValue``

### Pagination

- ``Page``
- ``PageOptions``
- ``PaginatedResource``

### Models

- ``AccessToken``
- ``Agent``
- ``Annotation``
- ``Artifact``
- ``Build``
- ``Emoji``
- ``Job``
- ``Meta``
- ``Organization``
- ``Pipeline``
- ``Team``
- ``User``

### Advanced

- <doc:Authorization>
- ``Configuration``
- ``APIVersion``
- ``Transport``
- ``TokenProvider``
- ``Response``
- ``StatusCode``
- ``BuildkiteError``
- ``ResourceError``
- ``ResponseError``
- ``TransportError``
